%global npm_name boom
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 7.2.0
Release: %mkrel 6
Summary: HTTP-friendly error objects
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/boom#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(hoek)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep hoek ">=5.0.3"
%nodejs_fixdep hoek ">=5.0.3"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 7.2.0-6.mga9
+ Revision: 1818373
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 7.2.0-5.mga8
+ Revision: 1502433
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 7.2.0-4.mga7
+ Revision: 1280168
- Mageia 7 Mass Rebuild

* Thu May 24 2018 kekepower <kekepower> 7.2.0-3.mga7
+ Revision: 1232019
- Fix deps for hoek

* Tue May 22 2018 kekepower <kekepower> 7.2.0-2.mga7
+ Revision: 1231631
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 7.2.0-1.mga7
+ Revision: 1227070
- imported package nodejs-boom

